<?php
/**
 * @package    Joomla.Cli
 *
 * @copyright  Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */

/**
 * A command line cron job to attempt to remove files that should have been deleted at update.
 */

// We are a valid entry point.
const _JEXEC = 1;
define('JDEBUG', 1);

// Load system defines
if (file_exists(dirname(__DIR__) . '/defines.php'))
{
	require_once dirname(__DIR__) . '/defines.php';
}

if (!defined('_JDEFINES'))
{
	define('JPATH_BASE', dirname(__DIR__));
	require_once JPATH_BASE . '/includes/defines.php';
}

// Get the framework.
require_once JPATH_LIBRARIES . '/import.legacy.php';

// Bootstrap the CMS libraries.
require_once JPATH_LIBRARIES . '/cms.php';

// Configure error reporting to maximum for CLI output.
error_reporting(E_ALL);
ini_set('display_errors', 1);

// Load Library language
$lang = JFactory::getLanguage();

// Try the files_joomla file in the current language (without allowing the loading of the file in the default language)
$lang->load('files_joomla.sys', JPATH_SITE, null, false, false)
// Fallback to the files_joomla file in the default language
|| $lang->load('files_joomla.sys', JPATH_SITE, null, true);

/**
 * A command line cron job to attempt to remove files that should have been deleted at update.
 *
 * @since  3.0
 */
class changeSUPassword extends JApplicationCli
{
	/**
	 * Entry point for CLI script
	 *
	 * @return  void
	 *
	 * @since   3.0
	 */
	public function doExecute()
	{
		$user = "#OVH_MODULE_ADMIN_NAME#";
		$password = "#OVH_ADMIN_PASSWORD#";
		$array = array('password'=>$password, 'password2'=>$password);

		$id = JUserHelper::getUserId($user);
		if ( !$id )
		{
			$this->out("user '$user' not found");
			return;
		}
		$user = JFactory::getUser($id);
		if ( !$user )
		{
			$this->out("Error while retrieving the user '$user'");
			return;
		}
		$oko = $user->bind($array);
		if ( !$oko )
		{
			$this->out("Unable to update the password");
			return;
		}

		$dbo = JFactory::getDbo();
		if ( !$dbo )
		{
			$this->out("Unable to retrieve the DB Handler");
			return;
		}
		if ( $array['password'] == $array['password2'] )
		{
			$this->out('password unchanged: ERROR');
			return;
		}
		$command = "UPDATE #OVH_DB_PREFIX#users SET password='".$array['password']."' WHERE id=".$id.";";
		if ( $dbo->setQuery($command)->execute() )
		{
			$this->out("password set");
		}
		else
		{
			$this->out("ERROR");
		}
	}
}

// Instantiate the application object, passing the class name to JCli::getInstance
// and use chaining to execute the application.
JApplicationCli::getInstance('changeSUPassword')->execute();
